$ErrorActionPreference = 'Stop';

$tools = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = 'nice-dcv-server'
  unzipLocation = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
  url			= 'https://d1uj6qtbmh3dt5.cloudfront.net/2020.0/Servers/nice-dcv-server-x64-Release-2020.0-8428.msi'
  checksum      = '8809f37217b0ae7dbee53dbde1471d3088dad85ec24777226fabef3fa1618860'
  checksumType  = 'sha256'
  fileType      = 'msi'

  silentArgs    = '/quiet /norestart'
  softwareName  = 'nice-dcv-server*'
  validExitCodes = @(0, 3010, 1641)
}
Install-ChocolateyPackage @packageArgs

